Name:           cssparser
Version:        0.9.6
Release:        3%{?dist}
Summary:        CSS Parser

Group:          Development/Libraries
License:        LGPLv2
URL:            http://cssparser.sourceforge.net/
# sh ./fetch-cssparser.sh
Source0:        cssparser-%{version}.tar.xz
Source1:        fetch-cssparser.sh

BuildArch: noarch

BuildRequires: sac >= 1.3-6
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: junit4
BuildRequires: javacc-maven-plugin >= 2.6-3
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-shared-reporting-impl
Requires: sac

%description
A CSS parser which implements SAC (the Simple API for CSS).

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt doc/license.html doc/readme.html

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Alexander Kurtakov <akurtako@redhat.com> 0.9.6-1
- Update to latest upstream release.
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-3
- Remove versioned javadoc.

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-2
- Adapt to current guidelines.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-1
- Initial package.
